Class Index | File Index

## Classes

- _global_
- AccessController
- APDU
- AuthenticationObject
- CAConnection
- ChipAuthentication
- ChipAuthenticationDomainParameterInfo
- ChipAuthenticationInfo
- ChipAuthenticationPublicKeyInfo
- CommandInterpreter
- CRLGenerator
- CVC
- CVCCA
- CVCertificateStore
- DataUnitAPDU
- DF
- DKEK
- DNEncoder
- EAC20
- EAC2CVCertificateGenerator
- EAC2CVRequestGenerator
- FCP
- File
- FileEncryptor
- FileSelector
- FileSystemIdObject
- FSNode
- GPSCP03
- HSMCVCertificateStore
- HSMKeyStore
- LinearEF
- ManagePKA
- P11CVCertificateStore
- PACE
- PACEDomainParameterInfo
- PACEInfo
- PaperKeyEncoding
- PKCS10Generator
- PublicKeyFile
- PublicKeyReference
- RAMClient
- RestrictedIdentificationDomainParameterInfo
- RestrictedIdentificationInfo
- SecureChannelHandler
- SecureMessagingCommandAPDUDecoder
- SecurityEnvironment
- SignatureKey
- SmartCardHSM
- SmartCardHSMCrypto
- SmartCardHSMInitializer
- SmartCardHSMKey
- SmartCardHSMKeySpecGenerator
- SmartCardHSMSymmetricKeySpecGenerator
- TransparentEF
- TrustAnchor
- X509CertificateGenerator
- X509CertificateIssuer
- X509CertificateStore
- X509Signer

# Class SmartCardHSMCrypto

Wrapper to provide Crypto interface to SmartCard-HSM
Defined in: SmartCardHSM.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| SmartCardHSMCrypto(crypto) Create crypto object implementing access to the SmartCard-HSM

Method Summary
Method Attributes | Method Name and Description
--- | ---
| decrypt(key, mech, data, iv) Decrypt a message using the defined mechanism and key
| encrypt(key, mech, data, iv) Encrypt a message using the defined mechanism and key
| sign(key, mech, message) Sign a message using the defined mechanism and key
| verify(key, mech, message, signature) Verify a message using the defined mechanism and key

Class Detail
SmartCardHSMCrypto(crypto)
Create crypto object implementing access to the SmartCard-HSM

Parameters:
{Crypto} crypto
  the backend crypto provider

Method Detail
{ByteString} decrypt(key, mech, data, iv)
Decrypt a message using the defined mechanism and key

Parameters:
{HSMKey} key
  the key
{Number} mech
  the mechanism (e.g. Crypto.RSA_PKCS1)
{ByteString} data
  the cryptogram
{ByteString} iv
  the initialization vector for symmetric ciphers

Returns:
  the plain text

{ByteString} encrypt(key, mech, data, iv)
Encrypt a message using the defined mechanism and key

Parameters:
{HSMKey} key
  the key
{Number} mech
  the mechanism (e.g. Crypto.RSA_PKCS1)
{ByteString} data
  the cryptogram
{ByteString} iv
  the initialization vector for symmetric ciphers

Returns:
  the plain text

{ByteString} sign(key, mech, message)
Sign a message using the defined mechanism and key

Parameters:
{HSMKey} key
  the private key
{Number} mech
  the mechanism (e.g. Crypto.ECDSA)
{ByteString} message
  the message to be signed

Returns:
  the signature

{Boolean} verify(key, mech, message, signature)
Verify a message using the defined mechanism and key

Parameters:
{Key} key
  the public key
{Number} mech
  the mechanism (e.g. Crypto.ECDSA)
{ByteString} message
  the message to be signed
{ByteString} signature
  the signature to verify

Returns:
  true if signature is valid

Documentation generated by JsDoc Toolkit 2.4.0 on Thu Apr 30 2026 15:08:16 GMT+0200 (CEST)